summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--debian/changelog6
-rwxr-xr-xscripts/review-patches15
2 files changed, 21 insertions, 0 deletions
diff --git a/debian/changelog b/debian/changelog
index 242a5eb..3b2cc2d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+liw-automation (8.30-1) unstable; urgency=medium
+
+ * Add review-patches.
+
+ -- Lars Wirzenius <liw@liw.fi> Sun, 18 Oct 2015 10:14:26 +0300
+
liw-automation (8.29-1) unstable; urgency=low
* New release just to bump version numbers
diff --git a/scripts/review-patches b/scripts/review-patches
new file mode 100755
index 0000000..5bb9f89
--- /dev/null
+++ b/scripts/review-patches
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -eu
+
+tempdir="$(mktemp -d)"
+
+cleanup()
+{
+ rm -rf "$tempdir"
+}
+
+trap cleanup EXIT
+
+git format-patch -o "$tempdir" master
+less -S "$tempdir"/*.patch